﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class Window : Form
    {
        public Window()
        {
            InitializeComponent();
            pictureBox.Image = 
                new Bitmap (pictureBox.Width, pictureBox.Height);

            Graphics g = Graphics.FromImage (pictureBox.Image);
            Brush b = new SolidBrush (Color.Yellow);
            g.FillRectangle(b, 0, 0, 
                        pictureBox.Width, pictureBox.Height); 
        }

        private void testMenu_Click(object sender, EventArgs e)
        {
            Graphics g = Graphics.FromImage(pictureBox.Image);
            Pen p = new Pen (Color.Red);
            p.Width = 3;
            g.DrawLine(p, 10, 10, 100, 100);
            pictureBox.Invalidate ();
        }

        private void quitItem_Click(object sender, EventArgs e)
        {
            Close ();
        }

        int X0, Y0;
        bool stisk = false;
        Bitmap save;

        private void pictureBox_MouseDown(object sender, 
                                          MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            stisk = true;
            save = new Bitmap (pictureBox.Image);
        }

        private void pictureBox_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisk)
            {
                Graphics g = Graphics.FromImage(pictureBox.Image);
                g.DrawImage (save, 0, 0);
                Pen p = new Pen(Color.Blue);
                g.DrawLine(p, X0, Y0, e.X, e.Y);
                pictureBox.Invalidate();
            }
        }

        private void pictureBox_MouseUp(object sender, MouseEventArgs e)
        {
            if (stisk)
            {
               Graphics g = Graphics.FromImage(pictureBox.Image);
               g.DrawImage(save, 0, 0);
               Pen p = new Pen(Color.Blue);
               p.Width = 3;
               g.DrawLine(p, X0, Y0, e.X, e.Y);
               pictureBox.Invalidate();
               stisk = false;
            }
        }

    }
}
